
*===========================
*正文表3及附录表7和表8 PSM解决内生性问题
*===========================
****PSM过程
  *将连续变量的自变量变为虚拟变量
  quantiles msp ,gen(msp_dum) nq(3)  //quantiles根据分位数产生3个虚拟变量
  replace msp_dum =0 if msp_dum==1    
  replace msp_dum =0 if msp_dum==2   
  replace msp_dum =1 if msp_dum==3
  
 
  
***配对效果的三个检验（只做检验3也可以，比较全面的话就都做了）
  *PSM及ATT检验
  set seed 10101
  gen ranorder=runiform()
  sort ranorder
  psmatch2 msp_dum er idr cv dual  soe am big8 ah accper indcd, outcome(rd_asset)  neighbor(1)  ties common  noreplacement quietly
  
  sort _n1
  sort _id //此处排序没有啥意义，仅仅为了想查看一下数据时比较方便
 
 *配对效果检验-数据平衡性检验
  pstest rd_asset  er idr cv dual  soe am big8 ah , both
 


  *配对后的多元回归结果
  drop if matchdum==.
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset  msp_dum  size  lever cfo roa grow   expend  
      soe i.accper i.indcd, fe ; 
  #delimit cr
  est store m1
  
  logout, save(resultpsm) word replace fix(3):                           ///
  esttab m1 , mtitle(model1)                                             ///
            ar2 compress nogap  star(* 0.1 ** 0.05 *** 0.01)             ///
		    b(%6.4f) brackets t(%6.4f) drop(*accper *indcd) varwidth(20) ///
			stats(FE Cluster N r2_a, fmt(%3s %3s %12.0f %9.3f))
  
